Package skyview.geometry.distorter

# Class SIP.SIPinverse

java.lang.Object
skyview.geometry.Transformer
skyview.geometry.Distorter
skyview.geometry.distorter.SIP.SIPinverse

All Implemented Interfaces:
  `Serializable`, `Component`

Enclosing class:
  `SIP`

public class SIP.SIPinverse extends Distorter
Create the inverse distorter for the main class here.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SIPinverse()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
What does this object do?
`String`
`getName()`
A name for this object
`Distorter`
`inverse()`
Get the inverse of the transformation.
`boolean`
`isInverse(Transformer trans)`
Are these two transformations, inverses of each other? This method is used to optimize a series of transformations where transformations.
`void`
`transform(double[] in, double[] out)`
This is the basic SIP transformation.

### Methods inherited from class skyview.geometry.Distorter

`applyBeforeScaling, getInputDimension, getOutputDimension, jacobian`

### Methods inherited from class skyview.geometry.Transformer

`transform, transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SIPinverse

public SIPinverse()

## Method Details

### inverse

public Distorter inverse()
Description copied from class: `Transformer`
Get the inverse of the transformation. If the order matters, then the inverse is to be applied after the original transformation. This is primarily an issue with Converters.

Specified by:
  `inverse` in class `Distorter`

### getName

public String getName()
Description copied from class: `Distorter`
A name for this object

Specified by:
  `getName` in interface `Component`
Specified by:
  `getName` in class `Distorter`

### getDescription

public String getDescription()
Description copied from class: `Distorter`
What does this object do?

Specified by:
  `getDescription` in interface `Component`
Specified by:
  `getDescription` in class `Distorter`

### transform

public void transform(double[] in, double[] out)
This is the basic SIP transformation. We are input the actual pixel coordinates and compute a correction to the undistorted projection.

Specified by:
  `transform` in class `Transformer`
Parameters:
  `in` - The input vector.
  `out` - The output vector, it may be the same as the input vector if the dimensionalities are the same. All transformers are expected to work with aliased inputs and output.

### isInverse

public boolean isInverse(Transformer trans)
Description copied from class: `Transformer`
Are these two transformations, inverses of each other? This method is used to optimize a series of transformations where transformations.

Specified by:
  `isInverse` in class `Transformer`